package org.openlp.android.fragments;

/**
 * Created by tim on 06/04/14.
 */

import android.app.Fragment;
import android.net.Uri;
import android.os.Bundle;
import android.text.method.LinkMovementMethod;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.TextView;
import org.openlp.android.R;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Locale;

public class AboutFragment extends Fragment {

    public AboutFragment() {
        // Empty constructor required for fragment subclasses
    }

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,Bundle savedInstanceState) {
        View view = inflater.inflate(R.layout.about_fragment, container, false);

        String date = new SimpleDateFormat("yyyy").format(new Date());

        StringBuilder html = new StringBuilder();
        html.append(getString(R.string.about_display_1));
        html.append("\n");
        html.append(getString(R.string.about_display_2));
        html.append(" http://www.openlp.org");
        html.append("\n\n\n");
        html.append(getString(R.string.about_display_4));
        html.append(" © 2004-").append(date).append(" Raoul Snyman\n");
        html.append(getString(R.string.about_display_5));
        html.append(" © 2004-").append(date);
        html.append("\nTim Bentley, Johan Mynhardt, Samuel Sjöbergsson");
        html.append("\n\n\n");
        html.append(getString(R.string.about_display_6));
        html.append("\n");
        html.append(getString(R.string.about_display_7));
        html.append("\n");
        html.append(getString(R.string.about_display_8));

        ((TextView) view.findViewById(R.id.about_text)).setText(html);

        return view;
    }
}