package org.openlp.android.fragments;

/**
 * Created by tim on 06/04/14.
 */

import android.app.Fragment;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import org.openlp.android.R;


public class HomeFragment extends Fragment {
    private View displayView;

    public HomeFragment() {
        // Empty constructor required for fragment subclasses
    }

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,Bundle savedInstanceState) {
        displayView = inflater.inflate(R.layout.home_fragment, container, false);
        displayIcon();
        return displayView;
    }

    @Override
    public void onResume() {
        super.onResume();
        displayIcon();
    }

    private void displayIcon(){
        int imageId = getResources().getIdentifier("openlp_splash_screen","drawable", getActivity().getPackageName());
        ((ImageView) displayView.findViewById(R.id.home_image)).setImageResource(imageId);
    }
}
